Package Details: zsa-wally-bin 2.1.1-2

Git Clone URL: https://aur.archlinux.org/zsa-wally-bin.git (read-only, click to copy)
Package Base: zsa-wally-bin
Description: Flash your ZSA Keyboard the EZ way.
Upstream URL: https://github.com/zsa/wally
Licenses: MIT
Conflicts: zsa-wally
Provides: wally
Submitter: ainola
Maintainer: slimb
Last Packager: slimb
Votes: 7
Popularity: 0.010879
First Submitted: 2021-03-25 04:39
Last Updated: 2021-04-26 19:47

Pinned Comments

slimb commented on 2021-03-27 22:28

Note: As the package name now implies, this is downloading the pre-built GUI binary from ZSA github.

Source-based GUI package can now be found at https://aur.archlinux.org/packages/zsa-wally

FYI: There is a cli version available at https://aur.archlinux.org/packages/zsa-wally-cli

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

ForgotUmbrella commented on 2020-09-01 09:40

I believe npm is a build dependency:

Wails v1.7.2-pre2 - Building Application

Error: it appears npm is not installed. Please install and run again.
==> Error: A failure occurred in build().

slimb commented on 2020-08-29 23:56

Does -modcacherw goflag need set so cache can be removed easier? Also appmenu-gtk-module needs installed to get rid of Failed to load module "appmenu-gtk-module"

RonnyD commented on 2020-08-29 11:11

Also, on my end go is not installed by default. Hence it should be a dependency. Further, after manually installing go, I get line 23: wails: command not found. Also my $GOPATH is empty.

bimmlerd commented on 2020-08-28 20:38

I think this is currently broken - $GOPATH/bin is not automatically part of $PATH. Thus if wails is not installed, the build() step fails.

I fixed it by editing the build() to say "$GOPATH/bin/wails" instead of just wails.

ChrisLane commented on 2020-08-28 16:15

makedepends is missing go

quenyen commented on 2020-08-28 15:35

That sounds like a good idea I was worried that we would no longer have the cli version as version 2.0.0 has broken the the cli temporarily as they migrated to wails. I have just jumped into volunteering to maintain the cli version at the zsa github lets see if they take me up on it.

eggze commented on 2020-08-28 06:30

I decided to extract CLI from this package to https://aur.archlinux.org/packages/zsa-wally-cli

This one can be now upgraded to the newest version while we can still keep using CLI in the old version.

@quenyen I've made you co-maintainer, feel free to upgrade, add the desktop file, update the udev rules to support moonlander etc.

eggze commented on 2020-08-28 06:14

@quenyen I'm waiting for CLI to become available. Or I can split the package to two: zsa-wally and zsa-wally-cli. The former would be 2.0.0 and the latter would be still 1.1.1. Then I would be happy to hand over zsa-wally to you as I won't use it.

quenyen commented on 2020-08-27 13:32

If you want I will pick this up for you eggze I have a vested interest in maintaining it as I have an ergodox ez....

ChrisLane commented on 2020-07-31 15:32

Awesome, thanks.